Skip to main content
`Ctrl`+`K`

# MatColoringGetDistance

Gets the distance of the coloring

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringGetDistance(MatColoring mc, PetscInt *dist)

Logically Collective

## Input Parameter

- mc - the `MatColoring` context

## Output Parameter

- dist - the current distance being used for the coloring.

## Note

The distance of the coloring denotes the minimum number of edges in the graph induced by the matrix any two vertices of the same color are. Distance-1 colorings are the classical coloring, where no two vertices of the same color are adjacent. distance-2 colorings are useful for the computation of Jacobians.

## See Also

`MatColoring`, `MatColoringSetDistance()`, `MatColoringApply()`

## Level

beginner

## Location

src/mat/graphops/color/interface/matcoloring.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages